import { useQuery } from "react-apollo"
import { CURRENT_USER } from "./graphql"

const UserDetails = () => {

  const { data, error, loading } = useQuery(CURRENT_USER)

  if (error) {
    console.log(error)
    return (
      <p>Error</p>
    )
  } else if (loading) {
    return (
      <p>Loading...</p>
    )
  } else {
    console.log(data)
    return (
      <p>Data</p>
    )
  }
}

export default UserDetails