import SignupForm from '../components/user/SignupForm'
import LoginForm from '../components/user/LoginForm'
import LogoutButton from '../components/user/LogoutButton'
import RequestPassword from '../components/user/RequestPassword'
import ResetPassword from '../components/user/ResetPassword'
import UserEditForm from '../components/user/UserEditForm'
import UserDetails from '../components/user/UserDetails'

const UserPage = () => (
  <>
    <SignupForm />
    <LoginForm />
    <LogoutButton />
    <RequestPassword />
    <ResetPassword />
    <UserEditForm />
    <UserDetails />
  </>
)

export default UserPage
